[packagekit] [RFE] Reboot on upgrade ???

Richard Hughes hughsient at gmail.com
Fri Nov 16 07:51:24 PST 2007

On Fri, 2007-11-16 at 16:34 +0100, Matej Cepl wrote:
> pup has a nice functionality in having dialog box "Rebooting 
> required? [Now] [Later]" when some low-level important packages 
> (e.g., kernel, glibc, hal, etc.) are upgraded. I am not sure 
> (will investigate) whether pup gets information about which 
> packages requires restart somewhere from some metada or it has 
> hard-wired list in its code

hard coded IIRC.

> , but I think either way it could he 
> helpful extension for PK, especially considering that PK should 
> be for non-geeky users who doesn't bear this list in their mind.

Already covered, see the RequireRestart signal in the API.

Se also http://www.packagekit.org/img/pk-require-restart.png and


More information about the PackageKit mailing list